nvmf_get_discovery_wargs(2)

NAME
nvmf_get_discovery_wargs - Get the discovery log page with args

SYNOPSIS
struct nvmf_discovery_log * nvmf_get_discovery_wargs (struct nvme_get_discovery_args *args );

ARGUMENTS

args
    Argument structure

DESCRIPTION
This function is similar to nvmf_get_discovery_log, but takes an extensible args parameter. args provides more options than nvmf_get_discovery_log.

This function performs a get discovery log page (DLP) command and returns the DLP. The memory allocated for the returned DLP must be freed by the caller using free.

RETURN
Pointer to the discovery log page (to be freed). NULL on failure and errno is set.